### Method

# Gimp ColorProfile new_srgb_trc_from_color_profile

since: 2.10

#### Declaration [src]

    GimpColorProfile*
    gimp_color_profile_new_srgb_trc_from_color_profile (
      GimpColorProfile* profile
    )

#### Description [src]

This function creates a new RGB `GimpColorProfile` with a sRGB gamma TRC and `profile`‘s RGB chromacities and whitepoint.

Available since: 2.10

#### Return value

Type: `GimpColorProfile`

The new `GimpColorProfile`, or `NULL` if `profile` is not an RGB profile or not matrix-based.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.